from ti_system import *
import ti_plotlib as plt
from ranger import *
import sound

def freq(d):
  if d>1:d=1
  return 4500-4300*d**0.5

def screen(y,val,msg):
  plt.text_at(y,msg%val,"center")

sr=ranger("IN 1")
plt.cls()

while not escape():
  d=sr.measurement()    
  msg="distance = %.3f m" 
  screen(1,d,msg)
  f=freq(d)
  msg2="freq = %.0f Hz" 
  screen(2,f,msg2)
  sound.tone(f,0.1)
  sleep(d/2)

)
" 
    
    #plt.text_at(2,msg2,"center")
    screen(2,f,msg2)
    sound.tone(f,0.1)
    sleep(d/2)

